package cn.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import cn.cloud.util.file.MinioUtil;

/**Minio文件上传配置文件*/

@Configuration
public class MinioConfig
{
    @Value(value = "${sam.minio.minio_url}")
    private String minioUrl;
    @Value(value = "${sam.minio.minio_name}")
    private String minioName;
    @Value(value = "${sam.minio.minio_pass}")
    private String minioPass;
    @Value(value = "${sam.minio.bucketName}")
    private String bucketName;

    @Bean
    public void initMinio(){
        if(!minioUrl.startsWith("http")){
            minioUrl = "http://" + minioUrl;
        }
        if(!minioUrl.endsWith("/")){
            minioUrl = minioUrl.concat("/");
        }
        MinioUtil.setMinioUrl(minioUrl);
        MinioUtil.setMinioName(minioName);
        MinioUtil.setMinioPass(minioPass);
        MinioUtil.setBucketName(bucketName);
    }

}
